|  | Home | Documentation | saml1__AuthorityBindingType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AuthorityBindingType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorityBindingType is a complexType. More...

`#include <saml1.h>`

## Public Attributes
_QName | AuthorityKind
| Attribute "AuthorityKind" of XSD type xs:QName. More...
char * | Location
| Attribute "Location" of XSD type xs:anyURI. More...
char * | Binding
| Attribute "Binding" of XSD type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AuthorityBindingType is a complexType.

struct saml1__AuthorityBindingType operations:

- saml1__AuthorityBindingType* soap_new_saml1__AuthorityBindingType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) default initialize members
- int soap_read_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) deserialize from a source
- int soap_write_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType*) serialize to a sink
- saml1__AuthorityBindingType* soap_dup_saml1__AuthorityBindingType(struct soap*, saml1__AuthorityBindingType* dst, saml1__AuthorityBindingType <em>src) returns deep copy of saml1__AuthorityBindingType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__AuthorityBindingType(saml1__AuthorityBindingType) deep deletes saml1__AuthorityBindingType data members, use only on dst after soap_dup_saml1__AuthorityBindingType(NULL, saml1__AuthorityBindingType *dst, saml1__AuthorityBindingType *src) (use soapcpp2 -Ed)

## Member Data Documentation

_QName saml1__AuthorityBindingType::AuthorityKind

Attribute "AuthorityKind" of XSD type xs:QName.

Required attribute.

char* saml1__AuthorityBindingType::Binding

Attribute "Binding" of XSD type xs:anyURI.

Required attribute.

char* saml1__AuthorityBindingType::Location

Attribute "Location" of XSD type xs:anyURI.

Required attribute.

The documentation for this struct was generated from the following file:

- saml1.h